Hi!
May I join your discussion. I'm very new in MAC OSX. My system is 10.6.2  on macbook pro 5.5.
I still don't very well understand the logic of macports. Plplot-5.9.4 is marked there as the recent version.
When I tried to install it via port, plplot the installation stopped with the problem due to wxwidgets and agg which are enabled by default. Searching in the web showed that wxwidgets seems not possible to install on my system so far. So I tried
to install my self. I install cmake from the macprots also python and others scientific tools ingcluding g95. I downloaded the plplot sources and put it to the home dir /home/vv/BUILD, then create additional dir "/home/vv/BUILD/alt" for building plplot and create the following script (cut the spec from my linux rpm)
/bin/sh
cd ../alt
cmake ../plplot-5.9.5\
        -DCMAKE_INSTALL_PREFIX:PATH=/opt/local \
        -DPLD_wxwidgets:BOOL=OFF\
        -DPL_FREETYPE_FONT_PATH:PATH=/opt/local/share/fonts/ttf/freefont\
        -DENABLE_java=OFF\
        -DENABLE_octave=OFF -DENABLE_ada=OFF -DPLD_aqt:BOOL=OFF

As you see I disable octave (it does not work for me, octave version 3.2.3 with a bandle of additional packages)
also aqt does not work. Wxwidgets and agg has a problem in macports. My purpose was to get  pyqt interface but I could not. Seems macports' qt4-mac put the headers in very unusual place. I succeed in compilation and installation c/ck++/g95 works.
Python seems should work but I could not figure out how because two version of python are present in the system and plplot choose the latest py26 site-packages. But demos inside share/plplot/python said that there is no module plplot (while it is there)

best regards
Valery